Bug Hunting Session
Bug 48903 - Wayland support
Summary: Wayland support
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-18 18:45 UTC by Darxus
Modified: 2015-07-21 13:38 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Darxus 2012-04-18 18:45:58 UTC
Wayland works with GTK3 and Qt5:  http://www.chaosreigns.com/wayland/state/
It's down to applications migrating to those toolkit releases, or adding support for the Wayland protocol directly.

There was some discussion about this here:  http://comments.gmane.org/gmane.comp.documentfoundation.libreoffice.devel/5527

I believe cairo is a popular option.  Some documentation of the Wayland protocol is here:  http://wayland.freedesktop.org/docs/
Comment 1 Darxus 2012-10-25 03:09:31 UTC
Wayland 1.0 was released, and they're planning to maintain backwards compatability from here:  http://lists.freedesktop.org/archives/wayland-devel/2012-October/005967.html
Comment 2 Nick Shaforostoff 2014-11-17 22:55:53 UTC
could this be a task for some bright-minded student?
https://wiki.documentfoundation.org/Development/GSoC/Ideas
Comment 3 Darxus 2014-11-17 23:02:25 UTC
Why not?  Submit a proposal.  I think it's an important step toward native wayland usability.
Comment 4 Markus Mohrhard 2015-02-05 15:14:41 UTC
Please don't add stuff to the GSoC list unless you are planning to mentor these tasks. This list only contains valid projects that have assigned mentors and that we are willing to do. I'm going to remvoe the waylay stuff again.

Please respect the project rules.
Comment 5 Nick Shaforostoff 2015-02-05 16:46:58 UTC
_Can_ I be the mentor for this project?

I have experience in GUI development using Qt, Cocoa, Carbon, a bit of WinApi, i'm developer of Lokalize KDE application, and i created and sent upstream several patches for Qt, kdelibs/frameworks.

I also have successfully participated in GSoC 2007 as a student.
Comment 6 Buovjaga 2015-07-21 08:52:08 UTC
Support is now there http://caolanm.blogspot.com/2015/07/libreoffice-on-wayland.html

Do we close this as fixed?
Comment 7 Caolán McNamara 2015-07-21 10:29:03 UTC
yes..., lets call this fixed in the sense that the gtk3 plugin works under wayland. There's still a bug or two, but the broad scope of things works.
Comment 8 Darxus 2015-07-21 13:38:08 UTC
Nice, thanks.

Why didn't you post to the wayland mailing list?  (I just did.)